<script>
	import HeaderTitle from '$lib/Components/HeaderTitle.svelte';
	import Button from 'flowbite-svelte/Button.svelte';
	import Spinner from 'flowbite-svelte/Spinner.svelte';

	let inputStyle = 'p-2 surface-ios-comp outline-none w-full rounded-md';
	let submitBtn = $state(true);
</script>

<div class="w-full max-w-xl mx-auto">
	<HeaderTitle title={['Contact', 'Us']} />
	<form class="flex flex-col gap-3">
		<div class="flex gap-3">
			<input
				class="{inputStyle} input"
				type="text"
				name="name"
				required
				placeholder="Your Name"
				title="Enter Your Name"
			/>
			<input
				class="{inputStyle} input"
				type="tel"
				name="id"
				required
				placeholder="Your Id"
				title="Enter Id"
			/>
		</div>

		<input
			class="{inputStyle} input"
			type="email"
			name="email"
			required
			placeholder="Your Email"
			title="Enter Your Email"
		/>

		<input
			class="{inputStyle} input"
			type="text"
			name="subject"
			required
			placeholder="Subject"
			title="The Subject"
		/>

		<textarea
			class="{inputStyle} textarea h-32"
			name="message"
			required
			placeholder="Enter Your Message"
			title="Write Your Message"
		></textarea>

		<div class="flex gap-3">
			{#if submitBtn}
				<Button
					size="xs"
					color="primary"
					class=""
					type="submit"
					onclick={() => (submitBtn = false)}
				>
					Submit
				</Button>
			{:else}
				<div class="mx-[25px]">
					<Spinner size={6} color="primary" />
				</div>
			{/if}
			<Button size="xs" color="red" class="" type="reset">Reset</Button>
		</div>
	</form>
</div>
